"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveParameterKey = exports.resolveSecretKey = exports.resolveResourceName = void 0;
const awsNamingUtils_1 = require("../awsNamingUtils");
const resolveResourceName = (resourceName, qpqConfig) => {
    return (0, awsNamingUtils_1.getConfigRuntimeResourceName)(resourceName, qpqConfig);
};
exports.resolveResourceName = resolveResourceName;
const resolveSecretKey = (secretName, qpqConfig) => {
    return (0, awsNamingUtils_1.getConfigRuntimeResourceName)(secretName, qpqConfig);
};
exports.resolveSecretKey = resolveSecretKey;
const resolveParameterKey = (parameterName, qpqConfig) => {
    return (0, awsNamingUtils_1.getConfigRuntimeResourceName)(parameterName, qpqConfig);
};
exports.resolveParameterKey = resolveParameterKey;
